summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x2.2/init/apache2.initd7
1 files changed, 6 insertions, 1 deletions
diff --git a/2.2/init/apache2.initd b/2.2/init/apache2.initd
index 5c6f959..5eaf675 100755
--- a/2.2/init/apache2.initd
+++ b/2.2/init/apache2.initd
@@ -2,7 +2,7 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-opts="configdump configtest fullstatus graceful gracefulstop modules reload"
+opts="configdump configtest fullstatus graceful gracefulstop modules reload virtualhosts"
depend() {
need net
@@ -144,6 +144,11 @@ fullstatus() {
fi
}
+virtualhosts() {
+ checkconfd || return 1
+ ${APACHE2} ${APACHE2_OPTS} -S
+}
+
configdump() {
LYNX="${LYNX:-lynx -dump}"
INFOURL="${INFOURL:-http://localhost/server-info}"